[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector3_single):Tvector2_double

Allow assignment of three-dimensional single precision vector to two-dimensional double precision vector

## Declaration

Source position: matrix.pp line 299

`operator operator :=(`
`const v: Tvector3_single`
`):Tvector2_double;`

## Description

This operator allows you to use a three-dimensional vector with single precision values wherever a two-dimensional vector with double precision is expected. The third dimension is thrown away.